Bug 837970 - cxxtools is FTBFS on ARM
cxxtools is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cxxtools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: MartinKG
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-07-05 19:30 EDT by Peter Robinson
Modified: 2012-10-09 10:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 10:32:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-07-05 19:30:09 EDT
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=944465

csvparser.cpp: In member function 'void cxxtools::CsvParser::advance(cxxtools::Char)':
csvparser.cpp:79:15: error: ambiguous overload for 'operator==' in 'ch == 10u'
csvparser.cpp:79:15: note: candidates are:
csvparser.cpp:79:15: note: operator==(int, unsigned int) <built-in>
In file included from ../include/cxxtools/string.h:34:0,
                 from ../include/cxxtools/csvparser.h:33,
                 from csvparser.cpp:29:
../include/cxxtools/char.h:211:25: note: bool cxxtools::operator==(const cxxtools::Char&, int)
../include/cxxtools/char.h:206:25: note: bool cxxtools::operator==(const cxxtools::Char&, char)
../include/cxxtools/char.h:201:25: note: bool cxxtools::operator==(const cxxtools::Char&, const cxxtools::Char&)
csvparser.cpp:85:38: error: ambiguous overload for 'operator==' in 'ch == 95u'
csvparser.cpp:85:38: note: candidates are:
csvparser.cpp:85:38: note: operator==(int, unsigned int) <built-in>
In file included from ../include/cxxtools/string.h:34:0,
                 from ../include/cxxtools/csvparser.h:33,
                 from csvparser.cpp:29:
../include/cxxtools/char.h:211:25: note: bool cxxtools::operator==(const cxxtools::Char&, int)
../include/cxxtools/char.h:206:25: note: bool cxxtools::operator==(const cxxtools::Char&, char)
../include/cxxtools/char.h:201:25: note: bool cxxtools::operator==(const cxxtools::Char&, const cxxtools::Char&)
csvparser.cpp:89:28: error: ambiguous overload for 'operator==' in 'ch == 10u'
csvparser.cpp:89:28: note: candidates are:
csvparser.cpp:89:28: note: operator==(int, unsigned int) <built-in>
In file included from ../include/cxxtools/string.h:34:0,
                 from ../include/cxxtools/csvparser.h:33,
                 from csvparser.cpp:29:
../include/cxxtools/char.h:211:25: note: bool cxxtools::operator==(const cxxtools::Char&, int)
../include/cxxtools/char.h:206:25: note: bool cxxtools::operator==(const cxxtools::Char&, char)
../include/cxxtools/char.h:201:25: note: bool cxxtools::operator==(const cxxtools::Char&, const cxxtools::Char&)
csvparser.cpp:89:43: error: ambiguous overload for 'operator==' in 'ch == 13u'
csvparser.cpp:89:43: note: candidates are:
csvparser.cpp:89:43: note: operator==(int, unsigned int) <built-in>
Comment 1 Gwyn Ciesla 2012-09-21 15:57:27 EDT
If, for example, I cast both sides to int in the comparisons, this builds.

Looking for a better way. . .
Comment 2 Gwyn Ciesla 2012-09-22 11:00:33 EDT
Committed, built on primary, built on my pi, scratch built on arm.koji.  Please test tntnet, or instruct me in how best to do so.

If anyone finds a better way than a pile of casts, please go for it.
Comment 3 Fedora Update System 2012-09-24 08:41:38 EDT
cxxtools-2.1.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cxxtools-2.1.1-5.fc18
Comment 4 Fedora Update System 2012-09-24 16:02:36 EDT
Package cxxtools-2.1.1-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cxxtools-2.1.1-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14675/cxxtools-2.1.1-5.fc18
then log in and leave karma (feedback).
Comment 5 Peter Robinson 2012-10-09 10:32:08 EDT
Fixed and pushed to stable

Note You need to log in before you can comment on or make changes to this bug.